Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | List of all members
eZInstallScriptPackageHandler Class Reference

Empty handler to support package custom install scripts. More...

Inheritance diagram for eZInstallScriptPackageHandler:

## Public Member Functions
| __construct ()
| explainInstallItem ( $package, $installItem, $requestedInfo=array())
| uninstall ( $package, $installType, $parameters, $name, $os, $filename, $subdirectory, $content, &$installParameters, &$installData)
| install ( $package, $installType, $parameters, $name, $os, $filename, $subdirectory, $content, &$installParameters, &$installData)
| add ( $packageType, $package, $cli, $parameters)
| handleAddParameters ( $packageType, $package, $cli, $arguments)
Public Member Functions inherited from eZPackageHandler
| __construct ( $handlerType, $parameters=array())
| extractInstallContent ()
| handlerType ()
| reset ()
| createDependencyNode ( $package, &$dependencyNode, $dependencyItem, $dependencySection)
| parseDependencyNode ( $package, &$dependencyNode, &$dependencyParameters, $dependencySection)
| createDependencyText ( $package, $dependencyItem, $dependencySection)
| createInstallNode ( $package, $installNode, $installItem, $installType)
| parseInstallNode ( $package, $installNode, &$installParameters, $isInstall)
| isErrorElement ( $elementID, &$installParameters)

## Additional Inherited Members
Static Public Member Functions inherited from eZPackageHandler
static | errorChoosenAction ( $errorCode, &$installParameters, $description, $handlerType, $resetError=true)
Public Attributes inherited from eZPackageHandler
| $ExtractInstallContent
| $HandlerType

## Detailed Description

Empty handler to support package custom install scripts.

Definition at line 18 of file ezinstallscriptpackagehandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZInstallScriptPackageHandler::__construct | ( |  | ) |

Definition at line 20 of file ezinstallscriptpackagehandler.php.

## Member Function Documentation

## ◆ add()

eZInstallScriptPackageHandler::add | ( |  | $packageType,
|  |  | $package,
|  |  | $cli,
|  |  | $parameters
| ) |  |
| virtual

Adds items defined in $parameters to the package $package.

Implements eZPackageHandler.

Definition at line 69 of file ezinstallscriptpackagehandler.php.

References eZDir\copy(), and eZDir\mkdir().

## ◆ explainInstallItem()

eZInstallScriptPackageHandler::explainInstallItem | ( |  | $package,
|  |  | $installItem,
|  |  | $requestedInfo = `array()`
| ) |  |
| virtual

Returns an explanation for the extension install item.

Implements eZPackageHandler.

Definition at line 28 of file ezinstallscriptpackagehandler.php.

References ezpI18n\tr().

## ◆ handleAddParameters()

eZInstallScriptPackageHandler::handleAddParameters | ( |  | $packageType,
|  |  | $package,
|  |  | $cli,
|  |  | $arguments
| ) |  |
| virtual

Called when command line parameters must be handled by the package handler. This function must return an array with values which can easily be used in the add() function.

Parameters

  $packageType | The type that was specified when using the add command, which is either the name of this handler or an alias for it.
  $package | The package object.
  $cli | Command line interface object, can be used to output errors etc.
  $arguments | An array with string values taken from the command line after the add command.

Implements eZPackageHandler.

Definition at line 91 of file ezinstallscriptpackagehandler.php.

## ◆ install()

eZInstallScriptPackageHandler::install | ( |  | $package,
|  |  | $installType,
|  |  | $parameters,
|  |  | $name,
|  |  | $os,
|  |  | $filename,
|  |  | $subdirectory,
|  |  | $content,
|  | & | $installParameters,
|  | & | $installData
| ) |  |
| virtual

Do nothing

Implements eZPackageHandler.

Definition at line 61 of file ezinstallscriptpackagehandler.php.

## ◆ uninstall()

eZInstallScriptPackageHandler::uninstall | ( |  | $package,
|  |  | $installType,
|  |  | $parameters,
|  |  | $name,
|  |  | $os,
|  |  | $filename,
|  |  | $subdirectory,
|  |  | $content,
|  | & | $installParameters,
|  | & | $installData
| ) |  |
| virtual

Do nothing

Implements eZPackageHandler.

Definition at line 50 of file ezinstallscriptpackagehandler.php.

The documentation for this class was generated from the following file:

- ezinstallscriptpackagehandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.